--!NOEXEC
-------------------------------------------------------------------------------
------------------------------------ ENUMS ------------------------------------
-------------------------------------------------------------------------------

-- ImGuiFocusedFlags
ImGui.FocusedFlags_ChildWindows
ImGui.FocusedFlags_AnyWindow
ImGui.FocusedFlags_RootWindow
ImGui.FocusedFlags_RootAndChildWindows
ImGui.FocusedFlags_None

-- ImGuiPopupFlags
ImGui.PopupFlags_NoOpenOverExistingPopup
ImGui.PopupFlags_MouseButtonLeft
ImGui.PopupFlags_MouseButtonMask_
ImGui.PopupFlags_MouseButtonRight
ImGui.PopupFlags_AnyPopupId
ImGui.PopupFlags_MouseButtonDefault_
ImGui.PopupFlags_MouseButtonMiddle
ImGui.PopupFlags_None
ImGui.PopupFlags_AnyPopup
ImGui.PopupFlags_AnyPopupLevel
ImGui.PopupFlags_NoOpenOverItems

-- ImGuiHoveredFlags
ImGui.HoveredFlags_None
ImGui.HoveredFlags_RootAndChildWindows
ImGui.HoveredFlags_AllowWhenBlockedByPopup
ImGui.HoveredFlags_AllowWhenBlockedByActiveItem
ImGui.HoveredFlags_ChildWindows
ImGui.HoveredFlags_RectOnly
ImGui.HoveredFlags_AllowWhenDisabled
ImGui.HoveredFlags_AllowWhenOverlapped
ImGui.HoveredFlags_AnyWindow
ImGui.HoveredFlags_RootWindow

-- ImGuiInputTextFlags
ImGui.InputTextFlags_EnterReturnsTrue
ImGui.InputTextFlags_CallbackCompletion
ImGui.InputTextFlags_None
ImGui.InputTextFlags_CallbackResize
ImGui.InputTextFlags_ReadOnly
ImGui.InputTextFlags_AutoSelectAll
ImGui.InputTextFlags_AllowTabInput
ImGui.InputTextFlags_CharsScientific
ImGui.InputTextFlags_CallbackAlways
ImGui.InputTextFlags_CharsDecimal
ImGui.InputTextFlags_NoUndoRedo
ImGui.InputTextFlags_CallbackHistory
ImGui.InputTextFlags_CtrlEnterForNewLine
ImGui.InputTextFlags_CharsHexadecimal
ImGui.InputTextFlags_CharsNoBlank
ImGui.InputTextFlags_Password
ImGui.InputTextFlags_CallbackCharFilter
ImGui.InputTextFlags_NoHorizontalScroll
ImGui.InputTextFlags_AlwaysInsertMode
ImGui.InputTextFlags_CharsUppercase

-- ImGuiNavInput
ImGui.NavInput_FocusNext
ImGui.NavInput_TweakFast
ImGui.NavInput_Input
ImGui.NavInput_DpadRight
ImGui.NavInput_FocusPrev
ImGui.NavInput_LStickDown
ImGui.NavInput_LStickUp
ImGui.NavInput_Activate
ImGui.NavInput_LStickLeft
ImGui.NavInput_LStickRight
ImGui.NavInput_DpadLeft
ImGui.NavInput_DpadDown
ImGui.NavInput_TweakSlow
ImGui.NavInput_DpadUp
ImGui.NavInput_Menu
ImGui.NavInput_Cancel

-- ImGuiTabBarFlags
ImGui.TabBarFlags_AutoSelectNewTabs
ImGui.TabBarFlags_NoCloseWithMiddleMouseButton
ImGui.TabBarFlags_TabListPopupButton
ImGui.TabBarFlags_NoTooltip
ImGui.TabBarFlags_FittingPolicyMask_
ImGui.TabBarFlags_Reorderable
ImGui.TabBarFlags_FittingPolicyDefault_
ImGui.TabBarFlags_FittingPolicyScroll
ImGui.TabBarFlags_FittingPolicyResizeDown
ImGui.TabBarFlags_None
ImGui.TabBarFlags_NoTabListScrollingButtons

-- ImGuiTreeNodeFlags
ImGui.TreeNodeFlags_Bullet
ImGui.TreeNodeFlags_None
ImGui.TreeNodeFlags_CollapsingHeader
ImGui.TreeNodeFlags_NavLeftJumpsBackHere
ImGui.TreeNodeFlags_Framed
ImGui.TreeNodeFlags_FramePadding
ImGui.TreeNodeFlags_AllowItemOverlap
ImGui.TreeNodeFlags_OpenOnArrow
ImGui.TreeNodeFlags_SpanFullWidth
ImGui.TreeNodeFlags_NoAutoOpenOnLog
ImGui.TreeNodeFlags_Leaf
ImGui.TreeNodeFlags_NoTreePushOnOpen
ImGui.TreeNodeFlags_Selected
ImGui.TreeNodeFlags_SpanAvailWidth
ImGui.TreeNodeFlags_OpenOnDoubleClick
ImGui.TreeNodeFlags_DefaultOpen

-- ImGuiStyleVar
ImGui.StyleVar_GrabRounding
ImGui.StyleVar_Alpha
ImGui.StyleVar_WindowMinSize
ImGui.StyleVar_PopupBorderSize
ImGui.StyleVar_WindowBorderSize
ImGui.StyleVar_FrameBorderSize
ImGui.StyleVar_ItemSpacing
ImGui.StyleVar_IndentSpacing
ImGui.StyleVar_FramePadding
ImGui.StyleVar_WindowPadding
ImGui.StyleVar_ChildRounding
ImGui.StyleVar_ItemInnerSpacing
ImGui.StyleVar_WindowRounding
ImGui.StyleVar_FrameRounding
ImGui.StyleVar_TabRounding
ImGui.StyleVar_ChildBorderSize
ImGui.StyleVar_GrabMinSize
ImGui.StyleVar_ScrollbarRounding
ImGui.StyleVar_ScrollbarSize
ImGui.StyleVar_WindowTitleAlign
ImGui.StyleVar_SelectableTextAlign
ImGui.StyleVar_PopupRounding
ImGui.StyleVar_ButtonTextAlign

-- ImGuiCol_
ImGui.Col_PlotHistogram
ImGui.Col_TitleBg
ImGui.Col_Separator
ImGui.Col_HeaderActive
ImGui.Col_HeaderHovered
ImGui.Col_ButtonHovered
ImGui.Col_NavWindowingHighlight
ImGui.Col_ScrollbarGrab
ImGui.Col_FrameBg
ImGui.Col_TextSelectedBg
ImGui.Col_ScrollbarGrabActive
ImGui.Col_ModalWindowDarkening
ImGui.Col_TitleBgCollapsed
ImGui.Col_ModalWindowDimBg
ImGui.Col_ResizeGripActive
ImGui.Col_SeparatorHovered
ImGui.Col_ScrollbarGrabHovered
ImGui.Col_TabUnfocused
ImGui.Col_ScrollbarBg
ImGui.Col_ChildBg
ImGui.Col_Header
ImGui.Col_NavWindowingDimBg
ImGui.Col_CheckMark
ImGui.Col_Button
ImGui.Col_BorderShadow
ImGui.Col_DragDropTarget
ImGui.Col_MenuBarBg
ImGui.Col_TitleBgActive
ImGui.Col_SeparatorActive
ImGui.Col_Text
ImGui.Col_PlotLinesHovered
ImGui.Col_Border
ImGui.Col_TabUnfocusedActive
ImGui.Col_PlotLines
ImGui.Col_PlotHistogramHovered
ImGui.Col_ResizeGripHovered
ImGui.Col_Tab
ImGui.Col_TabHovered
ImGui.Col_PopupBg
ImGui.Col_TabActive
ImGui.Col_FrameBgActive
ImGui.Col_ButtonActive
ImGui.Col_WindowBg
ImGui.Col_SliderGrabActive
ImGui.Col_SliderGrab
ImGui.Col_NavHighlight
ImGui.Col_FrameBgHovered
ImGui.Col_TextDisabled
ImGui.Col_ResizeGrip

-- ImGuiDataType
ImGui.DataType_U8
ImGui.DataType_S64
ImGui.DataType_Float
ImGui.DataType_S16
ImGui.DataType_U16
ImGui.DataType_Double
ImGui.DataType_S8
ImGui.DataType_U32
ImGui.DataType_S32
ImGui.DataType_U64

-- ImGuiDir
ImGui.Dir_None
ImGui.Dir_Left
ImGui.Dir_Up
ImGui.Dir_Down
ImGui.Dir_Right

-- ImGuiWindowFlags
ImGui.WindowFlags_NoScrollWithMouse
ImGui.WindowFlags_None
ImGui.WindowFlags_NoScrollbar
ImGui.WindowFlags_HorizontalScrollbar
ImGui.WindowFlags_NoFocusOnAppearing
ImGui.WindowFlags_NoBringToFrontOnFocus
ImGui.WindowFlags_NoDecoration
ImGui.WindowFlags_NoCollapse
ImGui.WindowFlags_NoTitleBar
ImGui.WindowFlags_NoMove
ImGui.WindowFlags_NoInputs
ImGui.WindowFlags_NoMouseInputs
ImGui.WindowFlags_NoSavedSettings
ImGui.WindowFlags_NoNav
ImGui.WindowFlags_UnsavedDocument
ImGui.WindowFlags_NoNavFocus
ImGui.WindowFlags_AlwaysHorizontalScrollbar
ImGui.WindowFlags_AlwaysUseWindowPadding
ImGui.WindowFlags_NoNavInputs
ImGui.WindowFlags_NoResize
ImGui.WindowFlags_AlwaysVerticalScrollbar
ImGui.WindowFlags_MenuBar
ImGui.WindowFlags_NoBackground
ImGui.WindowFlags_AlwaysAutoResize

-- ImGuiTabItemFlags
ImGui.TabItemFlags_SetSelected
ImGui.TabItemFlags_NoCloseWithMiddleMouseButton
ImGui.TabItemFlags_NoTooltip
ImGui.TabItemFlags_None
ImGui.TabItemFlags_NoPushId
ImGui.TabItemFlags_UnsavedDocument

-- ImGuiComboFlags
ImGui.ComboFlags_HeightSmall
ImGui.ComboFlags_HeightLarge
ImGui.ComboFlags_PopupAlignLeft
ImGui.ComboFlags_None
ImGui.ComboFlags_NoPreview
ImGui.ComboFlags_HeightRegular
ImGui.ComboFlags_HeightMask_
ImGui.ComboFlags_NoArrowButton
ImGui.ComboFlags_HeightLargest

-- ImGuiCond
ImGui.Cond_Appearing
ImGui.Cond_None
ImGui.Cond_Always
ImGui.Cond_FirstUseEver
ImGui.Cond_Once

-- ImGuiSelectableFlags
ImGui.SelectableFlags_None
ImGui.SelectableFlags_SpanAllColumns
ImGui.SelectableFlags_AllowItemOverlap
ImGui.SelectableFlags_DontClosePopups
ImGui.SelectableFlags_AllowDoubleClick
ImGui.SelectableFlags_Disabled

-- ImGuiMouseCursor
ImGui.MouseCursor_Hand
ImGui.MouseCursor_ResizeAll
ImGui.MouseCursor_ResizeEW
ImGui.MouseCursor_Arrow
ImGui.MouseCursor_ResizeNS
ImGui.MouseCursor_None
ImGui.MouseCursor_NotAllowed
ImGui.MouseCursor_ResizeNWSE
ImGui.MouseCursor_ResizeNESW
ImGui.MouseCursor_TextInput

-- ImGuiMouseButton
ImGui.MouseButton_Right
ImGui.MouseButton_Middle
ImGui.MouseButton_Left

-- ImGuiColorEditFlags
ImGui.ColorEditFlags_AlphaPreview
ImGui.ColorEditFlags_DisplayRGB
ImGui.ColorEditFlags_DisplayHex
ImGui.ColorEditFlags_InputHSV
ImGui.ColorEditFlags_NoSidePreview
ImGui.ColorEditFlags_Uint8
ImGui.ColorEditFlags_HEX
ImGui.ColorEditFlags_AlphaPreviewHalf
ImGui.ColorEditFlags_Float
ImGui.ColorEditFlags_PickerHueWheel
ImGui.ColorEditFlags__OptionsDefault
ImGui.ColorEditFlags_InputRGB
ImGui.ColorEditFlags_HDR
ImGui.ColorEditFlags_NoPicker
ImGui.ColorEditFlags_RGB
ImGui.ColorEditFlags_AlphaBar
ImGui.ColorEditFlags_DisplayHSV
ImGui.ColorEditFlags_PickerHueBar
ImGui.ColorEditFlags_HSV
ImGui.ColorEditFlags_NoAlpha
ImGui.ColorEditFlags_NoOptions
ImGui.ColorEditFlags_NoDragDrop
ImGui.ColorEditFlags_NoInputs
ImGui.ColorEditFlags_None
ImGui.ColorEditFlags_NoSmallPreview
ImGui.ColorEditFlags_NoBorder
ImGui.ColorEditFlags_NoLabel
ImGui.ColorEditFlags_NoTooltip

-- ImGuiDragDropFlags
ImGui.DragDropFlags_SourceNoPreviewTooltip
ImGui.DragDropFlags_SourceAllowNullID
ImGui.DragDropFlags_AcceptNoDrawDefaultRect
ImGui.DragDropFlags_AcceptPeekOnly
ImGui.DragDropFlags_AcceptBeforeDelivery
ImGui.DragDropFlags_SourceNoHoldToOpenOthers
ImGui.DragDropFlags_AcceptNoPreviewTooltip
ImGui.DragDropFlags_SourceAutoExpirePayload
ImGui.DragDropFlags_SourceExtern
ImGui.DragDropFlags_None
ImGui.DragDropFlags_SourceNoDisableHover

-------------------------------------------------------------------------------
----------------------------- DRAW LIST COMMANDS ------------------------------
---------------- ImDrawList *list = ImGui::GetWindowDrawList() ----------------
-------------------------------------------------------------------------------

ImGui:drawListPushClipRect(clip_rect_min_x, clip_rect_min_y, clip_rect_max_x, clip_rect_max_y, [intersect_with_current_clip_rect = false])
ImGui:drawListPushClipRectFullScreen()
ImGui:drawListPopClipRect()
ImGui:drawListPushTextureID(texture)
ImGui:drawListPopTextureID()
x, y = ImGui:drawListGetClipRectMin()
x, y = ImGui:drawListGetClipRectMax()
ImGui:drawListAddLine(p1_x, p1_y, p2_x, p2_y, hex, [alpha = 1, thickness = 1])
ImGui:drawListAddRect()
ImGui:drawListAddRectFilled()
ImGui:drawListAddRectFilledMultiColor()
ImGui:drawListAddQuad()
ImGui:drawListAddQuadFilled()
ImGui:drawListAddTriangle()
ImGui:drawListAddTriangleFilled()
ImGui:drawListAddCircle()
ImGui:drawListAddCircleFilled()
ImGui:drawListAddNgon()
ImGui:drawListAddNgonFilled()
ImGui:drawListAddText()
ImGui:drawListAddPolyline()
ImGui:drawListAddConvexPolyFilled()
ImGui:drawListAddBezierCurve()
ImGui:drawListAddImage()
ImGui:drawListAddImageQuad()
ImGui:drawListAddImageRounded()
ImGui:drawListPathClear()
-- WIP:
--ImGui:drawListPathLineTo()
--ImGui:drawListPathLineToMergeDuplicate()
--ImGui:drawListPathFillConvex()
--ImGui:drawListPathStroke()
--ImGui:drawListPathArcTo()
--ImGui:drawListPathArcToFast()
--ImGui:drawListPathBezierCurveTo()
--ImGui:drawListPathRect()

-- WIP:
--ImGui:addFonts()

-------------------------------------------------------------------------------
----------------------------------- INPUTS ------------------------------------
-------------------------------------------------------------------------------

ImGui:onMouseHover()
ImGui:onMouseMove()
ImGui:onMouseDown()
ImGui:onMouseUp()
ImGui:onMouseWheel()

ImGui:onKeyUp()
ImGui:onKeyDown()
ImGui:onKeyChar()

ImGui:wantCaptureMouse()
ImGui:wantCaptureKeyboard()
ImGui:wantTextInput()

-------------------------------------------------------------------------------
------------------------------- DEFAULT STYLES --------------------------------
-------------------------------------------------------------------------------

ImGui:setDarkStyle()
ImGui:setLightStyle()
ImGui:setClassicStyle()

-------------------------------------------------------------------------------
--------------------------------- IO Functions --------------------------------
------------------------ ImGuiIO& io = ImGui::GetIO(); ------------------------
-------------------------------------------------------------------------------

ImGui:ioGetConfigFlags()
ImGui:ioSetConfigFlags()
ImGui:ioGetBackendFlags()
ImGui:ioSetBackendFlags()
ImGui:ioGetIniSavingRate()
ImGui:ioSetIniSavingRate()
ImGui:ioGetIniFilename()
ImGui:ioSetIniFilename()
ImGui:ioGetLogFilename()
ImGui:ioSetLogFilename()
ImGui:ioGetMouseDoubleClickTime()
ImGui:ioSetMouseDoubleClickTime()
ImGui:ioGetMouseDragThreshold()
ImGui:ioSetMouseDragThreshold()
ImGui:ioGetMouseDoubleClickMaxDist()
ImGui:ioSetMouseDoubleClickMaxDist()
ImGui:ioGetKeyMapValue()
ImGui:ioSetKeyMapValue()
ImGui:ioGetKeyRepeatDelay()
ImGui:ioSetKeyRepeatDelay()
ImGui:ioGetKeyRepeatRate()
ImGui:ioSetKeyRepeatRate()
ImGui:ioGetFontGlobalScale()
ImGui:ioSetFontGlobalScale()
ImGui:ioGetFontAllowUserScaling()
ImGui:ioSetFontAllowUserScaling()
ImGui:ioGetDisplayFramebufferScale()
ImGui:ioSetDisplayFramebufferScale()
ImGui:ioGetConfigMacOSXBehaviors()
ImGui:ioSetConfigMacOSXBehaviors()
ImGui:ioGetConfigInputTextCursorBlink()
ImGui:ioSetConfigInputTextCursorBlink()
ImGui:ioGetConfigWindowsResizeFromEdges()
ImGui:ioSetConfigWindowsResizeFromEdges()
ImGui:ioGetConfigWindowsMoveFromTitleBarOnly()
ImGui:ioSetConfigWindowsMoveFromTitleBarOnly()
ImGui:ioGetConfigWindowsMemoryCompactTimer()
ImGui:ioSetConfigWindowsMemoryCompactTimer()
ImGui:ioGetBackendPlatformName()
ImGui:ioGetBackendRendererName()
ImGui:ioIsMouseDown()
ImGui:ioGetMouseWheel()
ImGui:ioGetMouseWheelH()
ImGui:ioIsKeyCtrl()
ImGui:ioIsKeyShift()
ImGui:ioIsKeyAlt()
ImGui:ioIsKeySuper()
ImGui:ioGetKeysDown()

ImGui:isMouseDown()
ImGui:isMouseClicked()
ImGui:isMouseReleased()
ImGui:isMouseDoubleClicked()
ImGui:isMouseHoveringRect()
ImGui:isMousePosValid()
ImGui:isAnyMouseDown()
ImGui:getMousePos()
ImGui:getMousePosOnOpeningCurrentPopup()
ImGui:isMouseDragging()
ImGui:getMouseDragDelta()
ImGui:resetMouseDragDelta()
ImGui:mouseDownSec()

-------------------------------------------------------------------------------
------------------------------ WINDGETS & STUFF -------------------------------
-------------------------------------------------------------------------------

ImGui:beginChild()
ImGui:endChild()
ImGui:isWindowAppearing()
ImGui:isWindowCollapsed()
ImGui:isWindowFocused()
ImGui:isWindowHovered()
ImGui:getWindowPos()
ImGui:getWindowSize()
ImGui:getWindowWidth()
ImGui:getWindowHeight()
ImGui:setNextWindowPos()
ImGui:setNextWindowSize()
ImGui:setNextWindowContentSize()
ImGui:setNextWindowCollapsed()
ImGui:setNextWindowFocus()
ImGui:setNextWindowBgAlpha()
ImGui:setWindowPos()
ImGui:setWindowSize()
ImGui:setWindowCollapsed()
ImGui:setWindowFocus()
ImGui:setWindowFontScale()
ImGui:getContentRegionMax()
ImGui:getContentRegionAvail()
ImGui:getWindowContentRegionMin()
ImGui:getWindowContentRegionMax()
ImGui:getWindowContentRegionWidth()
ImGui:getScrollX()
ImGui:getScrollY()
ImGui:getScrollMaxX()
ImGui:getScrollMaxY()
ImGui:setScrollX()
ImGui:setScrollY()
ImGui:setScrollHereX()
ImGui:setScrollHereY()
ImGui:setScrollFromPosX()
ImGui:setScrollFromPosY()
ImGui:pushStyleColor()
ImGui:popStyleColor()
ImGui:pushStyleVar()
ImGui:popStyleVar()
ImGui:getFontSize()
ImGui:getColorU32()
ImGui:pushItemWidth()
ImGui:popItemWidth()
ImGui:setNextItemWidth()
ImGui:calcItemWidth()
ImGui:pushTextWrapPos()
ImGui:popTextWrapPos()
ImGui:pushAllowKeyboardFocus()
ImGui:popAllowKeyboardFocus()
ImGui:pushButtonRepeat()
ImGui:popButtonRepeat()
ImGui:separator()
ImGui:sameLine()
ImGui:newLine()
ImGui:spacing()
ImGui:dummy()
ImGui:indent()
ImGui:unindent()
ImGui:beginGroup()
ImGui:endGroup()
ImGui:getCursorPos()
ImGui:getCursorPosX()
ImGui:getCursorPosY()
ImGui:getCursorStartPos()
ImGui:getCursorScreenPos()
ImGui:alignTextToFramePadding()
ImGui:getTextLineHeight()
ImGui:getTextLineHeightWithSpacing()
ImGui:getFrameHeight()
ImGui:getFrameHeightWithSpacing()
ImGui:pushSID()
ImGui:pushNID()
ImGui:popID()
ImGui:getSID()
ImGui:textUnformatted()
ImGui:text()
ImGui:textColored()
ImGui:textDisabled()
ImGui:textWrapped()
ImGui:labelText()
ImGui:bulletText()
ImGui:button()
ImGui:smallButton()
ImGui:invisibleButton()
ImGui:arrowButton()
ImGui:image()
ImGui:imageButton()
ImGui:checkbox()
ImGui:checkboxFlags()
ImGui:radioButton()
ImGui:progressBar()
ImGui:bullet()
ImGui:beginCombo()
ImGui:endCombo()
ImGui:combo()
ImGui:comboString()
ImGui:dragFloat()
ImGui:dragFloat2()
ImGui:dragFloat3()
ImGui:dragFloat4()
ImGui:dragFloatRange2()
ImGui:dragInt()
ImGui:dragInt2()
ImGui:dragInt3()
ImGui:dragInt4()
ImGui:dragIntRange2()
ImGui:dragScalar()
ImGui:sliderFloat()
ImGui:sliderFloat2()
ImGui:sliderFloat3()
ImGui:sliderFloat4()
ImGui:sliderAngle()
ImGui:sliderInt()
ImGui:sliderInt2()
ImGui:sliderInt3()
ImGui:sliderInt4()
ImGui:sliderScalar()
ImGui:vSliderFloat()
ImGui:vSliderInt()
ImGui:vSliderScalar()
ImGui:inputText()
ImGui:colorEdit3()
ImGui:colorEdit4()
ImGui:colorPicker3()
ImGui:colorPicker4()
ImGui:colorButton()
ImGui:setColorEditOptions()
ImGui:treeNode()
ImGui:treeNodeEx()
ImGui:treePush()
ImGui:treePop()
ImGui:getTreeNodeToLabelSpacing()
ImGui:collapsingHeader()
ImGui:setNextItemOpen()
ImGui:selectable()
ImGui:listBox()
ImGui:listBoxHeader()
ImGui:listBoxHeader2()
ImGui:listBoxFooter()
ImGui:plotLines()
ImGui:plotHistogram()
ImGui:value()
ImGui:beginMenuBar()
ImGui:endMenuBar()
ImGui:beginMainMenuBar()
ImGui:endMainMenuBar()
ImGui:beginMenu()
ImGui:endMenu()
ImGui:menuItem()
ImGui:menuItemWithShortcut()
ImGui:beginTooltip()
ImGui:endTooltip()
ImGui:setTooltip()
ImGui:beginPopupModal()
ImGui:endPopup()
ImGui:openPopup()
ImGui:openPopupContextItem()
ImGui:closeCurrentPopup()
ImGui:beginPopupContextItem()
ImGui:beginPopupContextWindow()
ImGui:beginPopupContextVoid()
ImGui:isPopupOpen()
ImGui:columns()
ImGui:nextColumn()
ImGui:getColumnIndex()
ImGui:getColumnWidth()
ImGui:setColumnWidth()
ImGui:getColumnOffset()
ImGui:setColumnOffset()
ImGui:getColumnsCount()
ImGui:beginTabBar()
ImGui:endTabBar()
ImGui:beginTabItem()
ImGui:endTabItem()
ImGui:setTabItemClosed()
ImGui:pushClipRect()
ImGui:popClipRect()
ImGui:setItemDefaultFocus()
ImGui:setKeyboardFocusHere()
ImGui:isItemHovered()
ImGui:isItemActive()
ImGui:isItemFocused()
ImGui:isItemClicked()
ImGui:isItemVisible()
ImGui:isItemEdited()
ImGui:isItemActivated()
ImGui:isItemDeactivated()
ImGui:isItemDeactivatedAfterEdit()
ImGui:isItemToggledOpen()
ImGui:isAnyItemHovered()
ImGui:isAnyItemActive()
ImGui:isAnyItemFocused()
ImGui:getItemRectMin()
ImGui:getItemRectMax()
ImGui:getItemRectSize()
ImGui:setItemAllowOverlap()
ImGui:beginWindow()
ImGui:endWindow()
ImGui:newFrame()
ImGui:render()
ImGui:endFrame()

ImGui:setDisplaySize()
ImGui:setDisplayScale()
ImGui:showUserGuide()
ImGui:showDemoWindow()
ImGui:showAboutWindow()
ImGui:showStyleEditor()
ImGui:showFontSelector()
ImGui:showMetricsWindow()
ImGui:showStyleSelector()